multiedit {class} | R Documentation

## Multiedit for k-NN Classifier

### Description

Multiedit for k-NN classifier

### Usage

    multiedit(x, class, k = 1, V = 3, I = 5, trace = TRUE)

### Arguments

`x` | matrix of training set.
`class` | vector of classification of training set.
`k` | number of neighbours used in k-NN.
`V` | divide training set into V parts.
`I` | number of null passes before quitting.
`trace` | logical for statistics at each pass.

### Value

index vector of cases to be retained.

### References

P. A. Devijver and J. Kittler (1982) Pattern Recognition. A Statistical Approach. Prentice-Hall, p. 115.

Ripley, B. D. (1996) Pattern Recognition and Neural Networks. Cambridge.

Venables, W. N. and Ripley, B. D. (2002) Modern Applied Statistics with S. Fourth edition. Springer.

### See Also

`condense`, `reduce.nn`

### Examples

    data(iris3)
    tr <- sample(1:50, 25)
    train <- rbind(iris3[tr,,1], iris3[tr,,2], iris3[tr,,3])
    test <- rbind(iris3[-tr,,1], iris3[-tr,,2], iris3[-tr,,3])
    cl <- factor(c(rep(1,25),rep(2,25), rep(3,25)), labels=c("s", "c", "v"))
    table(cl, knn(train, test, cl, 3))
    ind1 <- multiedit(train, cl, 3)
    length(ind1)
    table(cl, knn(train[ind1, , drop=FALSE], test, cl[ind1], 1))
    ntrain <- train[ind1,]; ncl <- cl[ind1]
    ind2 <- condense(ntrain, ncl)
    length(ind2)
    table(cl, knn(ntrain[ind2, , drop=FALSE], test, ncl[ind2], 1))

[Package class version 7.2-45 Index]